> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fractalpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Customer

> Create Customer



## OpenAPI

````yaml post /customers/add
openapi: 3.0.3
info:
  title: Fractal
  version: 1.0.0
  contact: {}
servers:
  - url: https://testapi.fractalpay.com/api/v1
    description: Sandbox
  - url: https://api.fractalpay.com/api/v1
    description: Production
security: []
tags:
  - name: Merchant Onboarding
  - name: Payment Collection Methods
  - name: Requests
  - name: Preauthorizations
  - name: Customers
  - name: Charging Customer
  - name: Transactions
paths:
  /customers/add:
    post:
      tags:
        - Customers
      summary: Create Customer
      description: Create Customer
      operationId: createCustomer
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  example: john@fractal.com
                first_name:
                  type: string
                  example: John
                last_name:
                  type: string
                  example: Doe
                merchant_key:
                  type: string
                  description: >-
                    The merchant's unique key. Returned in the `merchant_key`
                    field of the get merchants by client call.
                  example: '{{merchant_key}}'
                phone_number:
                  type: string
                  example: '5134140000'
              required:
                - first_name
                - merchant_key
            examples:
              Create Customer:
                value:
                  email: john@fractal.com
                  first_name: John
                  last_name: Doe
                  merchant_key: '{{merchant_key}}'
                  phone_number: '5134140000'
      responses:
        '200':
          description: Create Customer
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '183'
            Date:
              schema:
                type: string
                example: Wed, 21 Aug 2024 16:33:56 GMT
            ETag:
              schema:
                type: string
                example: W/"b7-jMine09A3WpfIP3532nHVRSc52o"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      customer_email:
                        type: string
                        example: john@fractal.com
                      customer_id:
                        type: string
                        example: c_f10702845f
                      customer_phone:
                        type: string
                        example: '5134140000'
                  message:
                    type: string
                    example: Customer added successfully
                  result:
                    type: boolean
                    example: true
              examples:
                Create Customer:
                  value:
                    data:
                      customer_email: john@fractal.com
                      customer_id: c_f10702845f
                      customer_phone: '5134140000'
                    message: Customer added successfully
                    result: true
      security:
        - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: |-
        Use your Fractal API credentials.

        Username = Client ID
        Password = Secret Key

        Sandbox credentials can be generated from the Test Portal.

````